<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="daabProviders" type="GotDotNet.ApplicationBlocks.Data.DAABSectionHandler,GotDotNet.ApplicationBlocks.Data" />
    <section name="ConnectionManagerProviders" type="GaelQuality.Connectivity.MultiProviderConfigHandler, Connectivity, Version=1.0.0.0,Culture=neutral, PublicKeyToken=null" />
    <section name="exceptionManagement" type="Microsoft.ApplicationBlocks.ExceptionManagement.ExceptionManagerSectionHandler, Microsoft.ApplicationBlocks.ExceptionManagement" />
  </configSections>
  <daabProviders>
    <daabProvider alias="BacchusSql" assembly="GotDotNet.ApplicationBlocks.Data" type="GotDotNet.ApplicationBlocks.Data.SqlServer" />
  </daabProviders>
  <ConnectionManagerProviders>
    <provider name="connectionDetectionStrategy" enabled="true" type="GaelQuality.Connectivity.PingWebServerStrategy, Connectivity, Version=1.0.0.0, Culture=neutral,PublicKeyToken=null">
      <pollingInterval>2</pollingInterval>
    </provider>
  </ConnectionManagerProviders>
  <exceptionManagement mode="on">
    <publisher mode="on" assembly="Microsoft.ApplicationBlocks.ExceptionManagement" type="Microsoft.ApplicationBlocks.ExceptionManagement.DefaultPublisher" logName="Application" applicationName="Q-Pulse Client"/>
  </exceptionManagement>
  <appSettings>
    <add key="Authentication" value="CSLA"/>
    <add key="Location" value="Client"/>
    <add key="ChangeMonitorIntervalMins" value="2"/>
    <!--Exception Dialog Info-->
    <add key="SupportSiteText" value="Support Portal" />
    <add key="SupportSiteLink" value="http://www.gaelcommunity.com/support" />
    <add key="SupportEmailText" value="support@qpulse.com" />
    <add key="SupportEmailLink" value="mailto:support@qpulse.com" />
    <add key="AcademySiteText" value="Gael Academy" />
    <add key="AcademySiteLink" value="http://www.gaelacademy.com" />
    <add key="UseService" value="False" />
    <add key="DataPortalServer" value="ghttp://localhost/QPulse/DataPortal.rem" />
    <add key="CslaDataPortalUrl" value="ghttp://localhost/QPulse/RemotingPortal.rem" />
    <add key="CslaDataPortalProxy" value="Csla.DataPortalClient.GenuineChannelsProxy, Csla3" />
    <!-- Optional Proxy Settings-->
    <add key="ProxyServerURI" value="" />
    <add key="ProxyServerUsername" value="" />
    <add key="ProxyServerPassword" value="" />
    <add key="ProxyServerUseLoggedOnCredentials" value="" />
  </appSettings>
  <system.runtime.remoting>
    <application>
      <lifetime leaseTime="1H" sponsorshipTimeout="1H" renewOnCallTime="1H" leaseManagerPollTime="1H"/>
      <!--Custom Channel Registration (required)-->
      <channels>
        <channel type="Belikov.GenuineChannels.GenuineHttp.GenuineHttpClientChannel, GenuineChannels" ConnectTimeout="10000" InvocationTimeout="45000" HttpUseGlobalProxy="false" Compression="true"/>
      </channels>
    </application>
  </system.runtime.remoting>
  <runtime>
    <generatePublisherEvidence enabled="false"/>
  </runtime>
  <startup>
    <supportedRuntime version="v4.0"/>
  </startup>
</configuration>